Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007278OCamltypingpublic2016-06-24 19:482017-09-24 17:33
Reporterchambart 
Assigned Tofrisch 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target VersionFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007278: Private inline records can be mutated
DescriptionPrivate records shouldn't be mutable, but the check is not applied for inline records.

For instance this shouldn't be accepted:

  type a = private A of { mutable i : int }
  let f (A r) = r.i <- 3
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015996)
gasche (administrator)
2016-06-24 19:53

I didn't actually know that privacy prevented field mutations (I would have used this in my Xml-light patch otherwise)! Thanks.
(0016004)
frisch (developer)
2016-06-27 15:33

Fixed by commit 030f6d6dff494bd74b6f3fd99280e45c36bbd9cf. Thanks for the report!

- Issue History
Date Modified Username Field Change
2016-06-24 19:48 chambart New Issue
2016-06-24 19:53 gasche Note Added: 0015996
2016-06-27 14:24 frisch Assigned To => frisch
2016-06-27 14:24 frisch Status new => assigned
2016-06-27 15:33 frisch Note Added: 0016004
2016-06-27 15:33 frisch Status assigned => resolved
2016-06-27 15:33 frisch Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-06-27 15:33 frisch Resolution open => fixed
2017-02-23 16:45 doligez Category OCaml typing => typing
2017-09-24 17:33 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker